// file      : CCF/Runtime/DiagnosticStream.cpp
// author    : Boris Kolpackov <boris@dre.vanderbilt.edu>
// cvs-id    : DiagnosticStream.cpp,v 1.1 2003/05/31 00:56:39 parsons Exp

#include "CCF/Runtime/DiagnosticStream.hpp"

#include <iostream>

namespace CCF
{
  namespace Runtime
  {
    namespace Diagnostic
    {
      Stream dout;

      //
      // class Message
      //

      Message::~Message () throw ()
      {
      }

      //
      // class Stream
      //

      Stream::Stream () throw ()
      {
      }


      Stream::~Stream () throw ()
      {
      }

      Stream&
      Stream:: operator << (Message const& msg)
        throw (ExH::System::Exception)
      {
        std::cerr << msg.text () << std::endl;
        return *this;
      }
    }
  }
}
